function protectPromptOnLoad()
{  
  // set the window title
  var stringBundle = document.getElementById("strings");
    
  window.title = stringBundle.getString("netscapeFraudProtection");
  var realm = gCommonDialogParam.GetString(18);
  var warnMessage = stringBundle.getFormattedString("protectedButContinue", [realm, realm]) + " " + stringBundle.getString("wantToContinue");
  document.getElementById("info.header").appendChild(document.createTextNode(warnMessage));
  document.getElementById("dontAskAgain").setAttribute("label", stringBundle.getString("dontAskAgain4Site"));
  
  // initialize   
  gCommonDialogParam.SetInt(0, 2);  // dialog defaul
  gCommonDialogParam.SetInt(1, 0);  // check box default as unchecked
  var str = gCommonDialogParam.GetString(8);
  if (str)
    setLabelForNode(document.documentElement.getButton("accept"), str);

  str = gCommonDialogParam.GetString(9);
  if (str)
    setLabelForNode(document.documentElement.getButton("cancel"), str);    

  document.documentElement.getButton("accept").setAttribute("default",false);    
  var cancelButton = document.documentElement.getButton("cancel");
  cancelButton.setAttribute("default", true);
  cancelButton.focus();
}

function onDontAskAgain(neverCheckbox) {
  var check;
  if(neverCheckbox.checked) {
    check = 1;
  }
  else {
    check = 0;
  }
  gCommonDialogParam.SetInt(1, check); 
}

function protectPromptOnAccept()
{
  gCommonDialogParam.SetInt(0, 0); // tell caller that Yes is clicked
  return true;
}

function protectPromptOnCancel()
{
  gCommonDialogParam.SetInt(0, 1); // tell caller that No is clicked
  window.close();
}

